<?php
namespace moneycaptcha\moneycaptcha\captcha;
class moneycaptcha extends \phpbb\captcha\plugins\captcha_abstract
{
	// PHP4 Constructor
	function phpbb_moneycaptcha()	{
	}

	function init($type)
	{
		global $config, $db, $user;

		$user->add_lang_ext('moneycaptcha/moneycaptcha','captcha_moneycaptcha');
		parent::init($type);
	}

	public function is_available()
	{
		global $config, $user;
		$user->add_lang_ext('moneycaptcha/moneycaptcha','captcha_moneycaptcha');
		return (isset($config['moneycaptcha_privkey']) && !empty($config['moneycaptcha_privkey']));

	}

	/**
	*  API function
	*/
	function has_config()
	{
		return true;
	}

	static public function get_name()
	{
		return 'MoneyCAPTCHA.ru';
	}

	/**
	* This function is implemented because required by the upper class, but is never used for reCaptcha.
	*/
	function get_generator_class()
	{
		throw new \Exception('No generator class given.');
	}

	function acp_page($id, &$module)
	{
		global $config, $db, $template, $user;

		$captcha_vars = array(
			'moneycaptcha_privkey'				=> 'MONEYCAPTCHA_PRIVKEY',
		);

		$module->tpl_name = '@moneycaptcha_moneycaptcha/captcha_moneycaptcha_acp';
		$module->page_title = 'ACP_VC_SETTINGS';
		$form_key = 'acp_captcha';
		add_form_key($form_key);

		$submit = request_var('submit', '');

		if ($submit && check_form_key($form_key))
		{
			$captcha_vars = array_keys($captcha_vars);
			foreach ($captcha_vars as $captcha_var)
			{
				$value = request_var($captcha_var, '');
				if ($value)
				{
					set_config($captcha_var, $value);
				}
			}

			add_log('admin', 'LOG_CONFIG_VISUAL');
			trigger_error($user->lang['CONFIG_UPDATED'] . adm_back_link($module->u_action));
		}
		else if ($submit)
		{
			trigger_error($user->lang['FORM_INVALID'] . adm_back_link($module->u_action));
		}
		else
		{
			foreach ($captcha_vars as $captcha_var => $template_var)
			{
				$var = (isset($_REQUEST[$captcha_var])) ? request_var($captcha_var, '') : ((isset($config[$captcha_var])) ? $config[$captcha_var] : '');
				$template->assign_var($template_var, $var);
			}

			$template->assign_vars(array(
				'CAPTCHA_PREVIEW'	=> $this->get_demo_template($id),
				'CAPTCHA_NAME'		=> $this->get_service_name(),
				'U_ACTION'			=> $module->u_action,
			));

		}
	}

	// not needed
	function execute_demo()
	{
	}

	// not needed
	function execute()
	{
	}

	function get_template() {
		global $config, $user, $template, $phpbb_root_path, $phpEx;
		if ($this->is_solved()) {
			return false;
		} else {			
			$capKey = isset($config['moneycaptcha_privkey']) ? $config['moneycaptcha_privkey'] : '';
			$template->assign_vars(array(
				'MONEYCAPTCHA_CODE'			=> $capKey,
				'MONEYCAPTCHA_ERRORGET'		=> '',
				'S_MONEYCAPTCHA_AVAILABLE'	=> self::is_available(),
				'S_CONFIRM_CODE'			=> true,
				'S_TYPE'					=> $this->type,
			));

			return '@moneycaptcha_moneycaptcha/captcha_moneycaptcha.html';

		} 
	}

	function get_demo_template($id) {
		return $this->get_template();
	}

	function get_hidden_fields() {
		$hidden_fields = array();

		if ($this->solved) {
			$hidden_fields['confirm_code'] = $this->code;
		}
		$hidden_fields['confirm_id'] = $this->confirm_id;
		return $hidden_fields;
	}

	function uninstall()
	{
		$this->garbage_collect(0);
	}

	function install()
	{
		return;
	}

	function validate()
	{
		global $config, $user;
		if (!parent::validate())
		{
			return false;
		}
		else
		{
			return $this->moneycaptcha_check_answer(request_var('moneycaptcha_code', ''));
		}
	}
function moneycaptcha_check_answer($answer)
	{
		global $config, $user;

		//discard spam submissions
		if ($answer == null || strlen($answer) == 0)
		{
			return $user->lang['MONEYCAPTCHA_INCORRECT'];
		}

		$handle = curl_init();
			curl_setopt($handle, CURLOPT_RETURNTRANSFER, 1); 
			curl_setopt($handle, CURLOPT_URL, "https://moneycaptcha.ru/valid.php?code=" . $answer); 
			curl_setopt($handle, CURLOPT_SSL_VERIFYPEER, false); 
				
		$status = curl_exec($handle);
		
		if (($status === false))
		{
			return $user->lang['MONEYCAPTCHA_ERROR_CURL'];
		}
		curl_close($handle);
		
		$xml = simplexml_load_string($status);		
		
		if($xml->code == "1")
		{
			$this->solved = true;
			return false;
		}
		else
		{
			return $user->lang['MONEYCAPTCHA_INCORRECT'];
		}
	}	
}
